import { MigrationInterface, QueryRunner } from "typeorm";

export class addGlyphForCustomEmoji1751700000000
	implements MigrationInterface
{
	name = "addGlyphForCustomEmoji1751700000000";

	async up(queryRunner: QueryRunner): Promise<void> {
		await queryRunner.query(
			`ALTER TABLE "emoji" ADD "glyph" boolean NOT NULL DEFAULT false`,
		);
	}

	async down(queryRunner: QueryRunner): Promise<void> {
		await queryRunner.query(`ALTER TABLE "emoji" DROP COLUMN "glyph"`);
	}
}
